netatalk: afparg.c File Reference

netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
afparg.c File Reference
`#include <dlfcn.h>`
`#include <getopt.h>`
`#include <signal.h>`
`#include "afpclient.h"`
`#include "afpcmd.h"`
`#include "afphelper.h"`
`#include "testhelper.h"`

## Data Structures
struct | test_fn

## Macros
#define | FN(a)
#define | EXT_FN(a)
#define | FN_N(a, b)

## Functions
| EXT_FN (FPResolveID)
| EXT_FN (FPEnumerate)
| EXT_FN (FPCopyFile)
| EXT_FN (FPLockrw)
| EXT_FN (FPLockw)
static void | list_tests (void)
static void | run_one (char *name, char **args)
void | usage (char *av0)
int | main (int ac, char **av)

## Variables
static struct test_fn | Test_list []
int | ExitCode = 0
uint16_t | VolID
static DSI * | dsi
CONN * | Conn
DSI * | Dsi
char * | Server = "localhost"
int | Port = DSI_AFPOVERTCP_PORT
char * | Password = ""
char * | Vol = ""
char * | User
int | Version = 34
int | List = 0
char * | Test = ""
char * | vers = "AFP3.4"
char * | uam = "Cleartxt Passwrd"
CONN * | Conn2
int | Mac = 0
int | EmptyVol = 0
char | Data [1] = ""
int | PassCount = 0
int | FailCount = 0
int | SkipCount = 0
int | NotTestedCount = 0
char | FailedTests [1024][256] = {{0}}
char | NotTestedTests [1024][256] = {{0}}
char | SkippedTests [1024][256] = {{0}}

## Macro Definition Documentation

## ◆ EXT_FN

#define EXT_FN | ( |  | a | ) |

Value:
extern void FN(a) (char **argv)
FN
#define FN(a)
Definition afparg.c:10

## ◆ FN

#define FN | ( |  | a | ) |

Value:
a ## _arg

## ◆ FN_N

#define FN_N | ( |  | a,
|  |  | b )

Value:
{ # a, FN(a) , # a " " # b},

## Function Documentation

## ◆ EXT_FN() [1/5]

EXT_FN | ( | FPCopyFile |  | ) |

## ◆ EXT_FN() [2/5]

EXT_FN | ( | FPEnumerate |  | ) |

## ◆ EXT_FN() [3/5]

EXT_FN | ( | FPLockrw |  | ) |

## ◆ EXT_FN() [4/5]

EXT_FN | ( | FPLockw |  | ) |

## ◆ EXT_FN() [5/5]

EXT_FN | ( | FPResolveID |  | ) |

## ◆ list_tests()

void list_tests | ( | void |  | ) |
| static

## ◆ main()

int main | ( | int | ac,
|  | char ** | av )

## ◆ run_one()

void run_one | ( | char * | name,
|  | char ** | args )
| static

## ◆ usage()

void usage | ( | char * | av0 | ) |

## Variable Documentation

## ◆ Conn

CONN* Conn

## ◆ Conn2

CONN* Conn2

## ◆ Data

char Data[1] = ""

## ◆ Dsi

DSI* Dsi

## ◆ dsi

DSI* dsi
| static

## ◆ EmptyVol

int EmptyVol = 0

## ◆ ExitCode

int ExitCode = 0

## ◆ FailCount

int FailCount = 0

## ◆ FailedTests

char FailedTests[1024][256] = {{0}}

## ◆ List

int List = 0

## ◆ Mac

int Mac = 0

## ◆ NotTestedCount

int NotTestedCount = 0

## ◆ NotTestedTests

char NotTestedTests[1024][256] = {{0}}

## ◆ PassCount

int PassCount = 0

## ◆ Password

char* Password = ""

## ◆ Port

int Port = DSI_AFPOVERTCP_PORT

## ◆ Server

char* Server = "localhost"

## ◆ SkipCount

int SkipCount = 0

## ◆ SkippedTests

char SkippedTests[1024][256] = {{0}}

## ◆ Test

char* Test = ""

## ◆ Test_list

struct test_fn Test_list[]
| static

Initial value:
= {
FN_N(FPLockw, d | r file)
{NULL, NULL},
}
FN_N
#define FN_N(a, b)
Definition afparg.c:24
NULL
#define NULL
Definition utf8util.c:47

## ◆ uam

char* uam = "Cleartxt Passwrd"

## ◆ User

char* User

## ◆ vers

char* vers = "AFP3.4"

## ◆ Version

int Version = 34

## ◆ Vol

char* Vol = ""

## ◆ VolID

uint16_t VolID